Bug 669082 - [Errata testing] stap stopped working on ppc after rebase
[Errata testing] stap stopped working on ppc after rebase
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: systemtap (Show other bugs)
4.9
powerpc Unspecified
high Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
qe-baseos-tools
: Rebase, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 11:12 EST by Petr Muller
Modified: 2013-01-10 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3-5.EL
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 09:09:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2011-01-12 11:12:32 EST
There is something wrong in the way how systemtap works on ppc:

# stap -v heart.stp -p4
Pass 1: parsed user script and 72 library script(s) using 31312virt/22176res/3140shr kb, in 810usr/30sys/850real ms.
Pass 2: analyzed script: 1 probe(s), 0 function(s), 0 embed(s), 0 global(s) using 31840virt/22900res/3372shr kb, in 20usr/0sys/17real ms.
Pass 3: translated to C into "/tmp/stappNzg5g/stap_cbdf9d3897bdc922b899a9071af04949_597.c" using 31840virt/23156res/3608shr kb, in 0usr/0sys/2real ms.
Makefile:502: /usr/src/kernels/2.6.9-89.33.1.EL-ppc64/arch/powerpc/Makefile: No such file or directory
make: *** No rule to make target `/usr/src/kernels/2.6.9-89.33.1.EL-ppc64/arch/powerpc/Makefile'.  Stop.
Pass 4: compiled C into "stap_cbdf9d3897bdc922b899a9071af04949_597.ko" in 40usr/40sys/86real ms.
Pass 4: compilation failed.  Try again with another '--vp 0001' option.

This seems like a difference in the kernel-devel paths:
# ls -d /usr/src/kernels/2.6.9-89.33.1.EL-ppc64/arch/p*
/usr/src/kernels/2.6.9-89.33.1.EL-ppc64/arch/parisc  /usr/src/kernels/2.6.9-89.33.1.EL-ppc64/arch/ppc  /usr/src/kernels/2.6.9-89.33.1.EL-ppc64/arch/ppc64

(there is 'ppc' and 'ppc64' directory, but systemtap searches for powerpc)

Version-Release number of selected component (if applicable):
systemtap-1.3-3.el4.ppc64

How reproducible:
always

Steps to Reproduce:
1. stap -p4 -v -e 'probe timer.ms(500){exit()}'
2.
3.
  
Actual results:
pass 4 fails

Expected results:
no fail

Additional info:
Comment 2 Frank Ch. Eigler 2011-01-12 15:38:25 EST
The ppc64/ppc -> powerpc architecture merge/rename happened in kernel v2.6.15,
so we need to bypass this on kernels as old as RHEL4's.
Comment 4 Frank Ch. Eigler 2011-01-20 16:15:18 EST
upstream git commit 4c25c41
Comment 7 errata-xmlrpc 2011-02-16 09:09:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0229.html

Note You need to log in before you can comment on or make changes to this bug.